package _VisualDVM.Passes.All;
import Common.Passes.AddObjectPass;
import Common.Utils.Utils_;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.SapforProfile.SapforProfile;

import java.util.Date;
public class SaveProfile extends AddObjectPass<SapforProfile> {
    public SaveProfile() {
        super(SapforProfile.class);
    }
    @Override
    public String getIconPath() {
        return "/Common/icons/Save.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        //1. проверить нет ли уже такой последовательности настроек.
        SapforProfile profile = Global.mainModule.getDb().checkProfileForCurrentSettings();
        if (profile != null) {
            Log.Writeln_("Текущий набор настроек уже сохранён как профиль " + Utils_.Brackets(profile.description));
            return false;
        }
        return super.canStart(args);
    }
    @Override
    protected void body() throws Exception {
        target.creationDate = new Date().getTime();
        super.body();
        Global.mainModule.getDb().insertProfileSettings(target);
    }
}
